Skip to main content
POST
/
api
/
v1
/
products
/
{id}
/
archive
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const product = await client.v1.products.archiveProduct('x');

console.log(product.data);
import os
from stigg import Stigg

client = Stigg(
    api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
)
product = client.v1.products.archive_product(
    id="x",
)
print(product.data)
package main

import (
	"context"
	"fmt"

	"github.com/stiggio/stigg-go"
	"github.com/stiggio/stigg-go/option"
)

func main() {
	client := stigg.NewClient(
		option.WithAPIKey("My API Key"),
	)
	product, err := client.V1.Products.ArchiveProduct(
		context.TODO(),
		"x",
		stigg.V1ProductArchiveProductParams{},
	)
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", product.Data)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.products.Product;
import io.stigg.models.v1.products.ProductArchiveProductParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        StiggClient client = StiggOkHttpClient.fromEnv();

        Product product = client.v1().products().archiveProduct("x");
    }
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

product = stigg.v1.products.archive_product("x")

puts(product)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Products;

StiggClient client = new();

ProductArchiveProductParams parameters = new() { ID = "x" };

var product = await client.V1.Products.ArchiveProduct(parameters);

Console.WriteLine(product);
stigg v1:products archive-product \
  --api-key 'My API Key' \
  --id x
curl --request POST \
  --url https://api.stigg.io/api/v1/products/{id}/archive \
  --header 'X-API-KEY: <api-key>'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.stigg.io/api/v1/products/{id}/archive",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "product-revvenu",
    "displayName": "Revvenu",
    "description": "SaaS billing platform",
    "status": "ARCHIVED",
    "multipleSubscriptions": false,
    "metadata": {},
    "productSettings": {
      "downgradePlanId": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
      "prorateAtEndOfBillingPeriod": null,
      "subscriptionCancellationTime": "END_OF_BILLING_PERIOD",
      "subscriptionEndSetup": "DOWNGRADE_TO_FREE",
      "subscriptionStartPlanId": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b",
      "subscriptionStartSetup": "FREE_PLAN"
    },
    "createdAt": "2025-10-26T10:00:00.000Z",
    "updatedAt": "2025-10-26T10:00:00.000Z"
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "code": "Unauthenticated"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Response

The archived product object.

Response object

data
Product · object
required

Product configuration object